### Index

- DEFAULT_CONSOLE_APPENDER_PREFIX_CONVERTERS (packages/.../console.appender.ts)
- DEFAULT_XHR_CONFIG (packages/.../xhr.ts)
- DefaultConfig (packages/.../eui-pagination.model.ts)
- EUI_COLORS (packages/.../eui-constants.ts)
- EUI_DEFAULT_AUTH_CONFIG (packages/.../eui-auth-config.model.ts)
- getActiveLang (packages/.../i18n.selectors.ts)
- getApiQueue (packages/.../app.selectors.ts)
- getApiQueueItem (packages/.../app.selectors.ts)
- getAppConnection (packages/.../app.selectors.ts)
- getAppLoadedConfigModules (packages/.../eui-service.model.ts)
- getAppLoadedConfigModules (packages/.../app.selectors.ts)
- getAppState (packages/.../core.selectors.ts)
- getAppStatus (packages/.../app.selectors.ts)
- getAppVersion (packages/.../app.selectors.ts)
- getBrowserDefaultLanguage (packages/.../i18n.config.ts)
- getBrowserPreferredLanguages (packages/.../i18n.config.ts)
- getCurrentModule (packages/.../app.selectors.ts)
- getI18nLoaderConfig (packages/.../i18n.config.ts)
- getI18nServiceConfig (packages/.../i18n.config.ts)
- getI18nServiceConfigFromBase (packages/.../i18n.config.ts)
- getI18nState (packages/.../core.selectors.ts)
- getLastAddedModule (packages/.../app.selectors.ts)
- getLocaleServiceConfigFromBase (packages/.../locale.config.ts)
- getLocaleState (packages/.../core.selectors.ts)
- getNotificationsList (packages/.../notifications.selectors.ts)
- getNotificationsState (packages/.../core.selectors.ts)
- getUserDashboard (packages/.../user.selectors.ts)
- getUserDetails (packages/.../user.selectors.ts)
- getUserFirstName (packages/.../user.selectors.ts)
- getUserFullName (packages/.../user.selectors.ts)
- getUserId (packages/.../user.selectors.ts)
- getUserLang (packages/.../user.selectors.ts)
- getUserLastName (packages/.../user.selectors.ts)
- getUserPreferences (packages/.../user.selectors.ts)
- getUserRight (packages/.../user.selectors.ts)
- getUserRightPermissions (packages/.../user.selectors.ts)
- getUserRights (packages/.../user.selectors.ts)
- getUserState (packages/.../core.selectors.ts)
- initialAppState (packages/.../app.state.ts)
- initialCoreState (packages/.../core.state.ts)
- initialI18nState (packages/.../i18n.state.ts)
- initialLocaleState (packages/.../locale.state.ts)
- initialNotificationsState (packages/.../notifications.state.ts)
- initialUserPreferences (packages/.../user.models.ts)
- initialUserState (packages/.../user.state.ts)
- isObject (packages/.../merge.ts)
- mergeAll (packages/.../merge.ts)
- mergeDeep (packages/.../merge.ts)
- range (packages/.../eui-pagination.model.ts)
- testBed (packages/.../test-setup.ts)
- transformToUxHttpResponse (packages/.../ux-error-feedback.model.ts)

### packages/base/src/lib/eui-models/log/console.appender.ts

###

DEFAULT_CONSOLE_APPENDER_PREFIX_CONVERTERS
Type : `ConsoleAppenderPrefixConverters`
Default value : `{ '{level}': (event: LogEvent) => event.levelName, '{logger}': (event: LogEvent) => event.loggerName, '{date}': (event: LogEvent) => event.timestamp.toLocaleDateString(), '{time}': (event: LogEvent) => event.timestamp.toLocaleTimeString(), }`
Default console prefix converters

### packages/base/src/lib/util/xhr.ts

###

DEFAULT_XHR_CONFIG
Type : `XHRConfig`
Default value : `{ url: null, method: 'GET', responseType: 'json', headers: {}, body: null, withCredentials: false, timeout: 0, }`
Default xhr configuration

### packages/base/src/lib/eui-models/eui-pagination/eui-pagination.model.ts

###

DefaultConfig
Type : `EuiPaginationConfig`
Default value : `{ totalItems: 0, pageSize: 10, currentPage: 1, pageWindowSize: 5, }`

range
Type : `unknown`
Default value : `(start: number, end?: number, step = 1): Array<number> => { const output = []; if (typeof end === 'undefined') { end = start; start = 0; } for (let i = start; i < end; i += step) { output.push(i); } return output; }`

### packages/base/src/lib/eui-models/eui-constants.ts

###

EUI_COLORS
Type : `object`

Default value : `{ text: '#333333', default: '#333333', black: '#000000', white: '#ffffff', primary: '#004494', primaryDark: '#003e8c', primaryDarker: '#003581', primaryDarkest: '#002d77', primaryDarkester: '#001f65', primaryDarkester2: '#00174c', primaryLight: '#2660a4', primaryLighter: '#4d7cb4', primaryLightest: '#80a2ca', primaryLightester: '#b3c7df', primaryLightester2: '#e0e9f2 ', accent: '#ffeb3b', accentDark: '#ffd114', accentDarker: '#fc1', accentDarkest: '#ffc60d', accentDarkester: '#ffbc07', accentDarkester2: '#edad00', accentLight: '#ffdc3a', accentLighter: '#ffe25d', accentLightest: '#ffeb8b', accentLightester: '#fff3b9', accentLightester2: '#fffae3', info: '#03a9f4', infoDark: '#039be5', infoDarker: '#0288d1', infoDarkest: '#0277bd', infoDarkester: '#01579b', infoDarkester2: '#003473', infoLight: '#29b6f6', infoLighter: '#4fc3f7', infoLightest: '#81d4fa', infoLightester: '#b3e5fc', infoLightester2: '#e0eef6', success: '#4caf50', successDark: '#3f7233', successDarker: '#37672c', successDarkest: '#2f5d24', successDarkester: '#204a17', successDarkester2: '#183711', successLight: '#628e57', successLighter: '#7ea274', successLightest: '#a3bd9c', successLightester: '#c8d7c4', successLightester2: '#e9efe7', warning: '#ff9800', warningDark: '#f08d23', warningDarker: '#ee821d', warningDarkest: '#ec7817', warningDarkester: '#e8670e', warningDarkester2: '#d05c0d', warningLight: '#f4a547', warningLighter: '#f6b568', warningLightest: '#f9ca93', warningLightester: '#fbdfbe', warningLightester2: '#fdf2e5', danger: '#f44336', dangerDark: '#d61d2b', dangerDarker: '#d01824', dangerDarkest: '#cb141e', dangerDarkester: '#c20b13', dangerDarkester2: '#aa0a11', dangerLight: '#e0424f', dangerLighter: '#e5646e', dangerLightest: '#ed9098', dangerLightester: '#f4bcc1', dangerLightester2: '#fbe4e6', grey: '#9e9e9e', greyDark: '#757575', greyDarker: '#616161', greyDarkest: '#424242', greyDarkester: '#212121', greyDarkester2: '#141414', greyLight: '#bdbdbd', greyLighter: '#d2d2d2', greyLightest: '#eeeeee', greyLightester: '#f5f5f5', greyLightester2: '#fafafa', }`

### packages/base/src/lib/eui-models/eui-auth-config.model.ts

###

EUI_DEFAULT_AUTH_CONFIG
Type : `EuiAuthConfig`
Default value : `{ isLoggedIn: true, redirectUrl: '', loginPageUrl: '', }`

### packages/base/src/lib/eui-models/eui-store/selectors/i18n.selectors.ts

###

getActiveLang
Type : `Selector<CoreState, string>`
Default value : `createSelector(getI18nState, (state: I18nState) => state.activeLang)`

### packages/base/src/lib/eui-models/eui-store/selectors/app.selectors.ts

###

getApiQueue
Type : `Selector<AppState, ApiQueue>`
Default value : `createSelector(getAppState, (state: AppState) => state.apiQueue)`

getApiQueueItem
Type : `unknown`
Default value : `(itemId: string): Selector<AppState, ApiQueueItem> => createSelector(getAppState, (state: AppState) => state.apiQueue[itemId])`

getAppConnection
Type : `Selector<AppState, boolean>`
Default value : `createSelector(getAppState, (state: AppState) => state.connected)`

getAppLoadedConfigModules
It will be removed in the future.
Type : `Selector<AppState, LoadedConfigModules>`
Default value : `createSelector( getAppState, (state: AppState) => state.loadedConfigModules, )`
Returns the loaded config modules from the app state

getAppStatus
Type : `Selector<AppState, string>`
Default value : `createSelector(getAppState, (state: AppState) => state.status)`

getAppVersion
Type : `Selector<AppState, string>`
Default value : `createSelector(getAppState, (state: AppState) => state.version)`

getCurrentModule
Type : `Selector<AppState, string>`
Default value : `createSelector(getAppState, (state: AppState) => state.currentModule)`

getLastAddedModule
It will be removed in the future.
Type : `Selector<AppState, string>`
Default value : `createSelector( getAppState, (state: AppState) => state.loadedConfigModules.lastAddedModule, )`
Returns the last added module from the app state

### packages/base/src/lib/eui-models/eui-service.model.ts

###

getAppLoadedConfigModules
Type : `Selector<CoreState, LoadedConfigModules>`
Default value : `(state: CoreState) => state?.app?.loadedConfigModules`

### packages/base/src/lib/eui-models/eui-store/selectors/core.selectors.ts

###

getAppState
Type : `unknown`
Default value : `(state: CoreState): AppState => state.app`

getI18nState
Type : `unknown`
Default value : `(state: CoreState): I18nState => state.i18n`

getLocaleState
Type : `unknown`
Default value : `(state: CoreState): LocaleState => state.locale`

getNotificationsState
Type : `unknown`
Default value : `(state: CoreState): NotificationsState => state.notifications`

getUserState
Type : `unknown`
Default value : `(state: CoreState): UserState => state.user`

### packages/base/src/lib/eui-models/eui-config/i18n.config.ts

###

getBrowserDefaultLanguage
Type : `unknown`
Default value : `(): string => navigator.language.split('-')[0]`
returns a language code based on https://tools.ietf.org/rfc/bcp/bcp47.txt specification. To get the Browser's it's using the navigator.language, splits by hyphen and get the first part.

getBrowserPreferredLanguages
Type : `unknown`
Default value : `(): string[] => navigator.languages.map((lang) => lang.split('-')[0])`
returns an array of DOMStrings representing the user's preferred languages. The language is described using BCP 47 language tags. In the returned array they are ordered by preference with the most preferred language first. The array languages will be lower cased 2 char code.

getI18nLoaderConfig
Type : `unknown`
Default value : `(config: I18nLoaderConfig): I18nLoaderConfig => { const { i18nFolders, i18nServices, i18nResources } = Object.assign({}, config); return { i18nFolders, i18nServices, i18nResources }; }`

getI18nServiceConfig
Type : `unknown`
Default value : `(config: I18nServiceConfig): I18nServiceConfig => Object.assign({}, config)`

getI18nServiceConfigFromBase
Type : `unknown`
Default value : `(baseGlobalConfig: GlobalConfig): I18nServiceConfig => { if(!baseGlobalConfig) throw new Error('baseGlobalConfig is required'); const i18nServiceConfig = baseGlobalConfig && baseGlobalConfig.i18n && baseGlobalConfig.i18n.i18nService; const { languages, defaultLanguage } = getI18nServiceConfig(i18nServiceConfig); return { languages, defaultLanguage }; }`

### packages/base/src/lib/eui-models/eui-config/locale.config.ts

###

getLocaleServiceConfigFromBase
Type : `unknown`
Default value : `(baseGlobalConfig: GlobalConfig): LocaleServiceConfig => { const { bindWithTranslate } = baseGlobalConfig.locale; return { bindWithTranslate }; }`
responsible to extract the attributes "available" and "id" from the locale configuration

### packages/base/src/lib/eui-models/eui-store/selectors/notifications.selectors.ts

###

getNotificationsList
Type : `Selector<AppState, unknown[]>`
Default value : `createSelector( getNotificationsState, (state: NotificationsState) => state.list, )`

### packages/base/src/lib/eui-models/eui-store/selectors/user.selectors.ts

###

getUserDashboard
Type : `Selector<UserPreferences<unknown>, unknown>`
Default value : `createSelector( getUserPreferences, (state: UserPreferences) => state.dashboard, )`

getUserDetails
Type : `Selector<CoreState, UserDetails>`
Default value : `createSelector(getUserState, (state: UserState) => state as UserDetails)`

getUserFirstName
Type : `Selector<CoreState, string>`
Default value : `createSelector(getUserDetails, (state: UserDetails) => state.firstName)`

getUserFullName
Type : `Selector<CoreState, string>`
Default value : `createSelector(getUserDetails, (state: UserDetails) => state.fullName)`

getUserId
Type : `Selector<CoreState, string>`
Default value : `createSelector(getUserDetails, (state: UserDetails) => state.userId)`

getUserLang
Type : `Selector<UserPreferences, string>`
Default value : `createSelector(getUserPreferences, (state: UserPreferences) => state.lang)`

getUserLastName
Type : `Selector<CoreState, string>`
Default value : `createSelector(getUserDetails, (state: UserDetails) => state.lastName)`

getUserPreferences
Type : `Selector<CoreState, UserPreferences>`
Default value : `createSelector( getUserState, (state: UserState) => state.preferences, )`

getUserRight
Type : `unknown`
Default value : `(rightId: string): Selector<CoreState, EuiUserRight> => createSelector(getUserRights, (state: EuiUserRight[]) => state.find((right) => right && right.id === rightId))`

getUserRightPermissions
Type : `unknown`
Default value : `(rightId: string): Selector<CoreState, string[]> => createSelector(getUserRight(rightId), (state: EuiUserRight) => state && state.permissions)`

getUserRights
Type : `Selector<CoreState, EuiUserRight[]>`
Default value : `createSelector(getUserState, (state: UserState) => state.rights)`

### packages/base/src/lib/eui-models/eui-store/state/app.state.ts

###

initialAppState
Type : `AppState`
Default value : `Object.assign( {}, { version: '0.0.0', connected: true, loadedConfigModules: { modulesConfig: {}, }, status: 'idle', currentModule: '', apiQueue: {}, }, )`

### packages/base/src/lib/eui-models/eui-store/state/core.state.ts

###

initialCoreState
Type : `CoreState`
Default value : `Object.assign( {}, { app: initialAppState, user: initialUserState, notifications: initialNotificationsState, i18n: initialI18nState, locale: initialLocaleState, }, )`

### packages/base/src/lib/eui-models/eui-store/state/i18n.state.ts

###

initialI18nState
Type : `I18nState`
Default value : `{ activeLang: null, }`

### packages/base/src/lib/eui-models/eui-store/state/locale.state.ts

###

initialLocaleState
Type : `LocaleState`
Default value : `{ id: 'en', }`
The initial state of the locale state. The default locale is English US ('en').

### packages/base/src/lib/eui-models/eui-store/state/notifications.state.ts

###

initialNotificationsState
Type : `NotificationsState`
Default value : `{ list: [], }`
The initial state of the notifications state.

### packages/base/src/lib/eui-models/eui-store/models/user.models.ts

###

initialUserPreferences
Type : `UserPreferences`
Default value : `Object.assign( {}, { lang: null, dashboard: null, }, )`

### packages/base/src/lib/eui-models/eui-store/state/user.state.ts

###

initialUserState
Type : `UserState`
Default value : `Object.assign( {}, { userId: '', firstName: '', lastName: '', fullName: '', preferences: initialUserPreferences, rights: [], }, )`

### packages/base/src/lib/util/merge.ts

###

isObject
Type : `unknown`
Default value : `<T>(item: T): boolean => item && typeof item === 'object' && !Array.isArray(item)`

mergeAll
Type : `unknown`
Default value : `<T>(array: Array<T>): T => array.reduce((prev, next) => mergeDeep(prev, next), {})`

mergeDeep
Type : `unknown`

Default value : `<T extends object, S>(target: T, ...sources: S[]): any => { const output: object & T = Object.assign({}, target); if (!sources.length) { return output as T | T & S; } const source = sources.shift(); if (isObject(target) && isObject(source)) { Object.keys(source).forEach((key: string) => { if (isObject(source[key])) { if (!(key in target)) { /* istanbul ignore next */ Object.assign(output, { [key]: source[key] }); } else { output[key] = mergeDeep(target[key], source[key]); } } else { Object.assign(output, { [key]: source[key] }); } }); } return mergeDeep(output, ...sources); }`

deep merge of two or more objects

### packages/base/test-setup.ts

###

testBed
Type : `unknown`
Default value : `getTestBed()`

### packages/base/src/lib/ux-models/ux-error-feedback.model.ts

###

transformToUxHttpResponse
Type : `unknown`
Default value : `(resp: HttpErrorResponse, mapper: ErrorMappingHandler): UxHttpErrorResponse => { const updatedErr = resp as UxHttpErrorResponse; updatedErr.uxHttpErrorOutput = mapper(resp.error); return updatedErr; }`

# results matching ""

# No results matching ""